Bug 195520 - sysutils/cdroot: Update to 1.2.6, Take MAINTAINERship
Summary: sysutils/cdroot: Update to 1.2.6, Take MAINTAINERship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-11-30 08:05 UTC by Chris Hutchinson
Modified: 2015-02-21 19:29 UTC (History)
2 users (show)

See Also:


Attachments
sysutils/cdroot MASTER_SITES, PORTVERSION, req MAINTAINER (2.15 KB, patch)
2014-11-30 08:05 UTC, Bugzilla Automation
no flags Details | Diff
sysutils/cdroot MASTER_SITES, PORTVERSION, req MAINTAINER (2.21 KB, patch)
2014-11-30 20:37 UTC, Chris Hutchinson
no flags Details | Diff
sysutils/cdroot MASTER_SITES, PORTVERSION, req MAINTAINER (svn diff) (2.23 KB, patch)
2015-01-21 14:37 UTC, Chris Hutchinson
koobs: maintainer-approval+
Details | Diff
QA session, as per John's request (2.26 KB, text/plain)
2015-01-21 14:38 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-11-30 08:05:41 UTC
Created attachment 150018 [details]
sysutils/cdroot MASTER_SITES, PORTVERSION, req MAINTAINER

sysutils/cdroot

changes
PORTVERSION
MASTER_SITES
MAINTAINER

modifications (minor) to source, which
necessitated the (port) version bump.

requests MAINTAINER

Please see svn(1) diff(1), attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2014-11-30 20:37:16 UTC
Created attachment 150050 [details]
sysutils/cdroot MASTER_SITES, PORTVERSION, req MAINTAINER

Obloletes previous patch (svn(1) diff(1)).

Thanks!

--Chris
Comment 2 John Marino freebsd_committer 2015-01-20 19:39:09 UTC
This is a version upgrade.  I pretty much don't promote any PRs that update versions without seeing logs.  Somebody else might (they haven't yet in 2 months), so you may want to attach a real poudriere log to improve this PR's changes. :)
Comment 3 Chris Hutchinson 2015-01-21 14:37:19 UTC
Created attachment 151966 [details]
sysutils/cdroot MASTER_SITES, PORTVERSION, req MAINTAINER (svn diff)

pet portlint:
reduce COMMENT
add LICENSE

Please also find cdroot-QA (QA session) attached.

Thanks, John. As always; good call.

--Chris
Comment 4 Chris Hutchinson 2015-01-21 14:38:20 UTC
Created attachment 151967 [details]
QA session, as per John's request
Comment 5 commit-hook freebsd_committer 2015-02-21 07:30:35 UTC
A commit references this bug:

Author: riggs
Date: Sat Feb 21 07:29:51 UTC 2015
New revision: 379481
URL: https://svnweb.freebsd.org/changeset/ports/379481

Log:
  - Update to upstream version 1.2.6
  - New maintainer: Chris Hutchinson <portmaster@bsdforge.com>

  PR:		195520
  Submitted by:	portmaster@bsdforge.com (maintainer)
  Reviewed by:	koobs, riggs

Changes:
  head/sysutils/cdroot/Makefile
  head/sysutils/cdroot/distinfo
  head/sysutils/cdroot/files/
  head/sysutils/cdroot/pkg-descr
Comment 6 Thomas Zander freebsd_committer 2015-02-21 07:37:57 UTC
Thanks for taking maintainership! Committed.

Just a brief note for future submissions: Your diff did not indicate the (necessary, because it is included in the 1.2.6 release already) removal of files/patch-Makefile. Probably you did not run 'svn rm' on them.
Comment 7 Chris Hutchinson 2015-02-21 19:29:33 UTC
(In reply to Thomas Zander from comment #6)
> Thanks for taking maintainership! Committed.
> 
> Just a brief note for future submissions: Your diff did not indicate the
> (necessary, because it is included in the 1.2.6 release already) removal of
> files/patch-Makefile. Probably you did not run 'svn rm' on them.

Thank *you*, Thomas.
Sorry about the svn diff. I *usually* remember to
svn delete/add as necessary, prior to creating the
diff. But apparently forgot. :(

Thanks again!

--Chris